> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxworks.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create phone call

> Create and schedule an outbound phone call. Contact details are upserted by phone number and optional object data is validated and linked.



## OpenAPI

````yaml /openapi.yaml post /api/v1/create-phone-call
openapi: 3.1.0
info:
  title: Voxworks API
  version: 1.0.0
  description: >-
    Public REST API for creating contacts, scheduling calls, retrieving call
    results, managing lists and objects, and receiving automation webhooks.
servers:
  - url: https://api.voxworks.ai
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Health
  - name: Contacts
  - name: Calls
  - name: Lists
  - name: Objects
  - name: Webhooks
paths:
  /api/v1/create-phone-call:
    post:
      tags:
        - Calls
      summary: Create phone call
      description: >-
        Create and schedule an outbound phone call. Contact details are upserted
        by phone number and optional object data is validated and linked.
      operationId: createPhoneCall
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePhoneCallRequest'
            example:
              from_number: '+61291234567'
              script_id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
              contact:
                phone_number: '0429069971'
                first_name: John
                last_name: Smith
              scheduled_time: '2026-02-25T09:00:00Z'
      responses:
        '201':
          description: Call scheduled.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateCallResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimited'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    CreatePhoneCallRequest:
      type: object
      required:
        - from_number
        - script_id
        - contact
      properties:
        from_number:
          type: string
          description: Phone number to call from. Must belong to your team.
        script_id:
          type: string
        contact:
          type: object
          required:
            - phone_number
          properties:
            phone_number:
              type: string
            first_name:
              type: string
            last_name:
              type: string
        objects:
          type: object
          additionalProperties:
            type: object
            additionalProperties: true
          description: Object data keyed by object type name.
        scheduled_time:
          type: string
          format: date-time
          description: ISO 8601 timestamp. Defaults to now.
    CreateCallResponse:
      type: object
      required:
        - success
        - call_id
        - contact_id
        - status
      properties:
        success:
          type: boolean
          example: true
        call_id:
          type: string
        contact_id:
          type: string
        status:
          type: string
          example: scheduled
    ErrorResponse:
      type: object
      required:
        - success
        - message
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
  responses:
    BadRequest:
      description: Missing or invalid request data.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Missing, malformed, or invalid authorization.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            invalid:
              value:
                success: false
                message: Invalid API key
    NotFound:
      description: The requested resource was not found or does not belong to your team.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    RateLimited:
      description: Rate limit exceeded.
      headers:
        Retry-After:
          schema:
            type: string
        X-RateLimit-Limit:
          schema:
            type: string
        X-RateLimit-Remaining:
          schema:
            type: string
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            success: false
            message: Rate limit exceeded
    InternalServerError:
      description: Internal server error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            success: false
            message: Internal server error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key
      description: 'API key from Voxworks, sent as `Authorization: Bearer YOUR_API_KEY`.'

````